=== debian/changelog ===
irmp3 (0.4.3pre6-2) unstable; urgency=low
  
  * Fixes problem with the man page being empty.
  * Fixes man page where it pointed user to /etc/irmp3.conf for the 
    config file, when it is in /etc/irmp3/irmp3.conf

 -- Roberto Mello <rmello@fslc.usu.edu>  Thu, 11 Apr 2002 16:44:02 -0700

irmp3 (0.4.3pre6-1) unstable; urgency=low

  * Initial Release (closes: #140371).
  * Compiled with support for /etc/alternatives/mpg123 
  * Compiled with mod_save support.

 -- Roberto Mello <rmello@fslc.usu.edu>  Mon, 01 Apr 2002 23:47:58 -0700
