=== debian/control ===
Source: irmp3
Section: sound
Priority: optional
Maintainer: Roberto Mello <rmello@fslc.usu.edu>
Build-Depends: debhelper (>> 3.0.0), liblircclient-dev, docbook-to-man
Standards-Version: 3.5.2

Package: irmp3
Architecture: any
Depends: ${shlibs:Depends}, mpg321 | mpg123
Suggests: lirc (>= 0.6), lcdproc
Description: A Multimedia Audio Jukebox application.
 With irmp3 you can control mpg321 (currently, other players are
 planned) to play songs, lists, and lists of play lists.. 
 .
 irmp3 features 'environments' that you can set to play a certain
 type of music, alarms, can be controlled over the network, via
 remote control (requires LIRC) and a number of other useful 
 features, including LCD display and keypad input support via 
 LCDProc. It is most useful for those building MP3 jukeboxes
 with remote or keypad controls.
