=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site			    Directory		Pattern			Version	Script
prdownloads.sourceforge.net /irmp3              irmp3-(.*)\.tar\.gz	debian  uupdate
