## irmp3 0.4.3pre6-3

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # Compiler/linker settings
 CC = gcc
 LD = ld
-EXTRA_CFLAGS = -O3 -m486 
+EXTRA_CFLAGS = -O2
 #EXTRA_CFLAGS = -O3 -m486 -g
 EXTRA_LDFLAGS = 
 #EXTRA_LDFLAGS = -g
