=== debian/changelog ===
irmp3 (0.4.3pre6-3) unstable; urgency=low

  * The oh-crap-there-are-so-many-details release
  * Remove x86-specific options from the Makefile (oops) (closes: #142482)
  * Fix policy conflict by moving to extra (closes: #145155)
  * Enhanced description as per suggestions. Thanks to Meinolf Sander 
    <mesa@netcologne.de> for the bug report with suggestions, and to 
    Paul "The Stud" Cannon <pik@debian.org> for some great suggestions too 
    (which I took almost verbatim). (closes: #145043)
  * The fixes below are thanks to Sam Couter.
  * Fix memory leak on mod_save.c. (closes: #144813)
  * Now Behaves like a normal daemon on Debian (closes: #144817)

 -- Roberto Mello <rmello@fslc.usu.edu>  Thu, 29 Apr 2002 21:15:05 -0600
