=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	rm -f $(CURDIR)/irmp3.1
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
@@ -70,11 +71,11 @@
 	dh_installdocs
 	dh_installexamples examples/lircrc.advanced
 #	dh_installmenu
-#	dh_installlogrotate
+	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_installinit
+	dh_installinit -- defaults 95 05
 #	dh_installcron
 	dh_installman irmp3.1
 #	dh_installinfo
